#!/usr/bin/gnuplot

JD0 = 2457733.83207
P = 5.732436

set xl "JD-2400000"
set yl "m [mag]"

set yr [:] reverse
set mouse format "%.6f"

jdmin1 = 2456283.521464  # TDB
jdmin2 = 2456289.277323
jdmin3 = 2456294.993961

sigma = 0.005
duration = 0.1164*P
print "duration = ", duration, " d"

set arrow from jdmin1-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin1-sigma-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin1+sigma-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin1-0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin1+0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0

set arrow from jdmin2-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin2-0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin2+0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0

set arrow from jdmin3-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin3-0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from jdmin3+0.5*duration-2400000,graph 0 rto 0,graph 1 nohead lt 0

set arrow from graph 0,first 2.22 rto graph 1,first 0 nohead lt 0
set arrow from graph 0,first 2.25 rto graph 1,first 0 nohead lt 0

#set xr [jdmin1-2*duration-2400000:jdmin1+2*duration-2400000]
#set xr [jdmin2-2*duration-2400000:jdmin2+2*duration-2400000]
#set xr [jdmin3-2*duration-2400000:jdmin3+2*duration-2400000]

p "Lc_most.dat" u ($1-2400000):2 w lp,\

pa -1

set term png small
set out "Lc_most.png"
rep
q


  "most.dat" u (2*jdmin1-$1-2400000):2 w l lc '#dddddd',\
  "most.dat" u (2*jdmin2-$1-2400000):2 w l lc 'gray',\
  "most.dat" u (2*jdmin3-$1-2400000):2 w l lc '#666666',\

